OGRE: Ogre::RTShader::ParameterFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::RTShader::ParameterFactory Class Reference
Core » RTShader

Helper utility class that creates common parameters. More...

`#include <OgreShaderParameter.h>`

## Static Public Member Functions
static ParameterPtr | createConstParamFloat (float val)
static ParameterPtr | createConstParamVector2 (Vector2 val)
static ParameterPtr | createConstParamVector3 (Vector3 val)
static ParameterPtr | createConstParamVector4 (Vector4 val)
static ParameterPtr | createInBiNormal (int index)
static ParameterPtr | createInColor (int index)
static ParameterPtr | createInIndices (int index)
static ParameterPtr | createInNormal (int index)
static ParameterPtr | createInPosition (int index)
static ParameterPtr | createInTangent (int index)
static ParameterPtr | createInTexcoord (GpuConstantType type, int index, Parameter::Content content)
static ParameterPtr | createInTexcoord1 (int index, Parameter::Content content)
static ParameterPtr | createInTexcoord2 (int index, Parameter::Content content)
static ParameterPtr | createInTexcoord3 (int index, Parameter::Content content)
static ParameterPtr | createInTexcoord4 (int index, Parameter::Content content)
static ParameterPtr | createInWeights (int index)
static ParameterPtr | createOutBiNormal (int index)
static ParameterPtr | createOutColor (int index)
static ParameterPtr | createOutNormal (int index)
static ParameterPtr | createOutPosition (int index)
static ParameterPtr | createOutTangent (int index)
static ParameterPtr | createOutTexcoord (GpuConstantType type, int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord1 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord2 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord3 (int index, Parameter::Content content)
static ParameterPtr | createOutTexcoord4 (int index, Parameter::Content content)
static UniformParameterPtr | createSampler (GpuConstantType type, int index)
static UniformParameterPtr | createSampler1D (int index)
static UniformParameterPtr | createSampler2D (int index)
static UniformParameterPtr | createSampler2DArray (int index)
static UniformParameterPtr | createSampler3D (int index)
static UniformParameterPtr | createSamplerCUBE (int index)
static UniformParameterPtr | createUniform (GpuConstantType type, int index, uint16 variability, const String &suggestedName, size_t size)

## Detailed Description

Helper utility class that creates common parameters.

## Member Function Documentation

## ◆ createConstParamFloat()

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamFloat | ( | float | val | ) |
| static

## ◆ createConstParamVector2()

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamVector2 | ( | Vector2 | val | ) |
| static

## ◆ createConstParamVector3()

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamVector3 | ( | Vector3 | val | ) |
| static

## ◆ createConstParamVector4()

static ParameterPtr Ogre::RTShader::ParameterFactory::createConstParamVector4 | ( | Vector4 | val | ) |
| static

## ◆ createInBiNormal()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInBiNormal | ( | int | index | ) |
| static

## ◆ createInColor()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInColor | ( | int | index | ) |
| static

## ◆ createInIndices()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInIndices | ( | int | index | ) |
| static

## ◆ createInNormal()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInNormal | ( | int | index | ) |
| static

## ◆ createInPosition()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInPosition | ( | int | index | ) |
| static

## ◆ createInTangent()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTangent | ( | int | index | ) |
| static

## ◆ createInTexcoord()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord | ( | GpuConstantType | type,
|  | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createInTexcoord1()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord1 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createInTexcoord2()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord2 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createInTexcoord3()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord3 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createInTexcoord4()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord4 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createInWeights()

static ParameterPtr Ogre::RTShader::ParameterFactory::createInWeights | ( | int | index | ) |
| static

## ◆ createOutBiNormal()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutBiNormal | ( | int | index | ) |
| static

## ◆ createOutColor()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutColor | ( | int | index | ) |
| static

## ◆ createOutNormal()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutNormal | ( | int | index | ) |
| static

## ◆ createOutPosition()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutPosition | ( | int | index | ) |
| static

## ◆ createOutTangent()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTangent | ( | int | index | ) |
| static

## ◆ createOutTexcoord()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord | ( | GpuConstantType | type,
|  | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createOutTexcoord1()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord1 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createOutTexcoord2()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord2 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createOutTexcoord3()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord3 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createOutTexcoord4()

static ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord4 | ( | int | index,
|  | Parameter::Content | content
| ) |  |
| static

## ◆ createSampler()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler | ( | GpuConstantType | type,
|  | int | index
| ) |  |
| static

## ◆ createSampler1D()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler1D | ( | int | index | ) |
| static

## ◆ createSampler2D()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler2D | ( | int | index | ) |
| static

## ◆ createSampler2DArray()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler2DArray | ( | int | index | ) |
| static

## ◆ createSampler3D()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler3D | ( | int | index | ) |
| static

## ◆ createSamplerCUBE()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createSamplerCUBE | ( | int | index | ) |
| static

## ◆ createUniform()

static UniformParameterPtr Ogre::RTShader::ParameterFactory::createUniform | ( | GpuConstantType | type,
|  | int | index,
|  | uint16 | variability,
|  | const String & | suggestedName,
|  | size_t | size
| ) |  |
| static

The documentation for this class was generated from the following file:

- OgreShaderParameter.h